// ID:编号, Type:类型, Minimumvalue:最小值, Maximumvalue:最大值, Coefficient:系数（0-1）

export default class Fish_GoldenTurtleHitCFG {
  private static data =
      {"1":{"ID":1,"Type":1,"Minimumvalue":0,"Maximumvalue":10,"Coefficient":30}

      ,"2":{"ID":2,"Type":1,"Minimumvalue":11,"Maximumvalue":100,"Coefficient":60}

      ,"3":{"ID":3,"Type":1,"Minimumvalue":101,"Maximumvalue":500,"Coefficient":80}

      ,"4":{"ID":4,"Type":1,"Minimumvalue":501,"Maximumvalue":99999999,"Coefficient":100}

      ,"5":{"ID":5,"Type":2,"Minimumvalue":1000,"Maximumvalue":1000,"Coefficient":30}

      ,"6":{"ID":6,"Type":2,"Minimumvalue":1500,"Maximumvalue":4500,"Coefficient":60}

      ,"7":{"ID":7,"Type":2,"Minimumvalue":5000,"Maximumvalue":7000,"Coefficient":80}

      ,"8":{"ID":8,"Type":2,"Minimumvalue":8000,"Maximumvalue":10000,"Coefficient":100}

      }// ID:编号, Type:类型, Minimumvalue:最小值, Maximumvalue:最大值, Coefficient:系数（0-1）


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}